import React from 'react';
import { ColorSchemeName } from 'react-native';
import { Theme } from './theme';
declare type ThemeProp = {
    appearance: ColorSchemeName;
    theme: Theme;
};
export declare const useTheme: () => Theme;
export declare const useAppearance: () => ColorSchemeName;
export declare const ThemeProvider: React.FC<Partial<ThemeProp>>;
export declare const useColors: () => Record<"overlay" | "black" | "white" | "primaryColor" | "secondaryColor" | "tertiaryColor" | "negativeColor" | "warningColor" | "disabledColor" | "baseTextColor" | "lightTextColor" | "disabledTextColor" | "baseBackgroundColor" | "dimBackgroundColor", string>;
export declare const useFontSizes: () => Record<"small" | "medium" | "large" | "xxsmall" | "xsmall" | "xlarge" | "xxlarge", number>;
export declare const useSpaceSizes: () => Record<"small" | "none" | "medium" | "large" | "xxsmall" | "xsmall" | "xlarge" | "xxlarge", number>;
export {};
//# sourceMappingURL=ThemeProvider.d.ts.map