"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FullPage = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: { flex: 1 },
});
/**
 * Template Component that represents a page that takes up the whole page including outside of safearea
 */
const FullPage = ({ background, children }) => {
    const { baseBackgroundColor } = Themes_1.useColors();
    const color = background ? background : baseBackgroundColor;
    return (React.createElement(react_native_1.View, { style: [styles.container, { backgroundColor: color }] }, children));
};
exports.FullPage = FullPage;
