"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Margin = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
/**
 * Margin
 * - A component that provides set amounts of margin to right and bottom
 */
const Margin = ({ size }) => {
    const spaceSize = Themes_1.useSpaceSizes();
    return (react_1.default.createElement(react_native_1.View, { style: {
            marginRight: spaceSize[size],
            marginBottom: spaceSize[size],
        } }));
};
exports.Margin = Margin;
