"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stack = void 0;
const react_1 = __importStar(require("react"));
const Margin_1 = require("./Margin");
const react_native_1 = require("react-native");
const styles = react_native_1.StyleSheet.create({
    horizontal: {
        flexDirection: 'row',
    },
});
/**
 * Stack
 * - A View component whose children will be provided with set amounts of margin
 */
const Stack = ({ children, type = 'vertical', space, style = {}, }) => {
    const childArray = react_1.Children.toArray(children);
    return (react_1.default.createElement(react_native_1.View, { style: [style, type === 'horizontal' && styles.horizontal] }, childArray.map((child, index) => {
        return (react_1.default.createElement(react_1.Fragment, { key: index },
            child,
            react_1.default.createElement(Margin_1.Margin, { size: space })));
    })));
};
exports.Stack = Stack;
