export declare const lightTheme: {
    primaryColor: string;
    secondaryColor: string;
    tertiaryColor: string;
    negativeColor: string;
    warningColor: string;
    disabledColor: string;
    overlay: string;
    baseTextColor: string;
    lightTextColor: string;
    disabledTextColor: string;
    baseBackgroundColor: string;
    dimBackgroundColor: string;
    white: string;
    black: string;
};
export declare const darkTheme: {
    baseTextColor: string;
    lightTextColor: string;
    baseBackgroundColor: string;
    dimBackgroundColor: string;
    primaryColor: string;
    secondaryColor: string;
    tertiaryColor: string;
    negativeColor: string;
    warningColor: string;
    disabledColor: string;
    overlay: string;
    disabledTextColor: string;
    white: string;
    black: string;
};
export declare const DefaultColorTheme: {
    readonly light: {
        primaryColor: string;
        secondaryColor: string;
        tertiaryColor: string;
        negativeColor: string;
        warningColor: string;
        disabledColor: string;
        overlay: string;
        baseTextColor: string;
        lightTextColor: string;
        disabledTextColor: string;
        baseBackgroundColor: string;
        dimBackgroundColor: string;
        white: string;
        black: string;
    };
    readonly dark: {
        baseTextColor: string;
        lightTextColor: string;
        baseBackgroundColor: string;
        dimBackgroundColor: string;
        primaryColor: string;
        secondaryColor: string;
        tertiaryColor: string;
        negativeColor: string;
        warningColor: string;
        disabledColor: string;
        overlay: string;
        disabledTextColor: string;
        white: string;
        black: string;
    };
};
export declare type Color = keyof typeof lightTheme;
//# sourceMappingURL=colors.d.ts.map